<?php

/**
 * Test: NLatteFilter: unknown macro.
 *
 * @author     David Grudl
 * @package    Nette\Latte
 */



require dirname(__FILE__) . '/../bootstrap.php';



$template = new NTemplate;
$template->registerFilter(new NLatteFilter);

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('template'=>$template)).'-1], EXTR_REFS);
	$template->setSource(\'{unknown}\')->compile();
'), 'NCompileException', 'Unknown macro {unknown}');

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('template'=>$template)).'-1], EXTR_REFS);
	$template->setSource(\'<style>body {color:blue}</style>\')->compile();
'), 'NCompileException', 'Unknown macro {color:blue} (in JavaScript or CSS, try to put a space after bracket.)');

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('template'=>$template)).'-1], EXTR_REFS);
	$template->setSource(\'<script>if (true) {return}</script>\')->compile();
'), 'NCompileException', 'Unknown macro {return} (in JavaScript or CSS, try to put a space after bracket.)');
