<?php

/**
 * Test: NMail invalid email addresses.
 *
 * @author     David Grudl
 * @package    Nette\Mail
 */



require dirname(__FILE__) . '/../bootstrap.php';



$mail = new NMail();

Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	// From
	$mail->setFrom(\'John Doe <doe@example. com>\');
'), 'NAssertionException', "The header 'From' expects to be email, string 'doe@example. com' given.");


Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	$mail->setFrom(\'John Doe <>\');
'), 'NAssertionException', "The header 'From' expects to be email, string '' given.");


Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	$mail->setFrom(\'John Doe <doe@examplecom>\');
'), 'NAssertionException', "The header 'From' expects to be email, string 'doe@examplecom' given.");


Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	$mail->setFrom(\'John Doe\');
'), 'NAssertionException', "The header 'From' expects to be email, string 'John Doe' given.");


Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	$mail->setFrom(\'doe;@examplecom\');
'), 'NAssertionException', "The header 'From' expects to be email, string 'doe;@examplecom' given.");


Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	// addReplyTo
	$mail->addReplyTo(\'@\');
'), 'NAssertionException', "The header 'Reply-To' expects to be email, string '@' given.");


Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	// addTo
	$mail->addTo(\'@\');
'), 'NAssertionException', "The header 'To' expects to be email, string '@' given.");


Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	// addCc
	$mail->addCc(\'@\');
'), 'NAssertionException', "The header 'Cc' expects to be email, string '@' given.");


Assert::exception(create_function('', 'extract($GLOBALS[0]['.array_push($GLOBALS[0], array('mail'=>$mail)).'-1], EXTR_REFS);
	// addBcc
	$mail->addBcc(\'@\');
'), 'NAssertionException', "The header 'Bcc' expects to be email, string '@' given.");
